IPPAttribute
Keywords: org.cups.IPPAttribute,IPPAttribute class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cups
Class IPPAttribute

    java.lang.Object
      |
      +--org.cups.IPPAttribute

public class IPPAttribute
extends java.lang.Object

Constructor Summary
`IPPAttribute(int p_group_tag, int p_value_tag, java.lang.String p_name)`

Method Summary
`boolean` | `addBoolean(boolean p_bool)`
`boolean` | `addBooleans(boolean[] p_bools)`
`boolean` | `addDate(char[] p_date)`
`boolean` | `addEnum(int p_int)`
`boolean` | `addInteger(int p_int)`
`boolean` | `addIntegers(int[] p_ints)`
`boolean` | `addRange(int p_lower, int p_upper)`
`boolean` | `addRanges(int[] p_lower, int[] p_upper)`
`boolean` | `addResolution(byte p_units, int p_xres, int p_yres)`
`boolean` | `addResolutions(byte p_units, int[] p_xres, int[] p_yres)`
`boolean` | `addSeparator()`
`boolean` | `addString(java.lang.String p_charset, java.lang.String p_text)`
`boolean` | `addStrings(java.lang.String p_charset, java.lang.String[] p_texts)`
`void` | `dump_values()`
`byte[]` | `getBytes(int sz, int last_group)`
`int` | `sizeInBytes(int last_group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPPAttribute

    public IPPAttribute(int p_group_tag,
                        int p_value_tag,
                        java.lang.String p_name)

Method Detail

### addBoolean

    public boolean addBoolean(boolean p_bool)

### addBooleans

    public boolean addBooleans(boolean[] p_bools)

### addEnum

    public boolean addEnum(int p_int)

### addInteger

    public boolean addInteger(int p_int)

### addIntegers

    public boolean addIntegers(int[] p_ints)

### addString

    public boolean addString(java.lang.String p_charset,
                             java.lang.String p_text)

### addStrings

    public boolean addStrings(java.lang.String p_charset,
                              java.lang.String[] p_texts)

### addDate

    public boolean addDate(char[] p_date)

### addRange

    public boolean addRange(int p_lower,
                            int p_upper)

### addRanges

    public boolean addRanges(int[] p_lower,
                             int[] p_upper)

### addResolution

    public boolean addResolution(byte p_units,
                                 int p_xres,
                                 int p_yres)

### addResolutions

    public boolean addResolutions(byte p_units,
                                  int[] p_xres,
                                  int[] p_yres)

### addSeparator

    public boolean addSeparator()

### sizeInBytes

    public int sizeInBytes(int last_group)

### getBytes

    public byte[] getBytes(int sz,
                           int last_group)

### dump_values

    public void dump_values()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD